Skip to main content
`Ctrl`+`K`

# DSNEPSetSamplingSize

Sets the number of sampling columns to be used in the contour integral method when solving a `DSNEP`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetSamplingSize(DS ds,PetscInt p)

Logically Collective

## Input Parameters

- ds - the direct solver context

- p - the number of columns for the sampling matrix

## Options Database Key

- -ds_nep_sampling_size <p> - the number of sampling columns

## Note

This parameter is relevant only in the contour integral method.

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPGetSamplingSize()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPSetSamplingSize_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages